nisrm(1)

NAME
nisrm - remove NIS+ objects from the namespace

SYNOPSIS
nisrm [ -if ] name...

DESCRIPTION

The nisrm command is similar to the system rm (1) command, it removes NIS+ objects named name from the NIS+ namespace.

This command will fail if the NIS+ master server is not running.

OPTIONS

-i  Interactive mode. The nisrm command will ask for confirmation prior to removing an object. If the name specified by name is a non-fully qualified name this option is forced on. This prevents the removal of unexpected objects.

-f  Force. The removal is attempted, and if it fails for permission reasons, a nischmod(1) is attempted and the removal retried. If the command fails, it fails silently. (This seems not to work in the moment)

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES

nisrm always returns 0. (a different behaviour then the Solaris version).

SEE ALSO
nischmod(1), nisdefaults(1), nisrmdir(1), nistbladm(1), rm(1)

NOTES

This command will not remove directories (see nisrmdir(1)) nor will it remove non-empty tables (see nistbladm(1)).

AUTHOR
This version of the nisrm command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.